Subject: Re: bug#77362: 30.1; isearch-forward in dired overshoots on `:' match attempt

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Mar 2025 15:28:00 +0300

tags 77362 notabug
thanks

> Date: Sat, 29 Mar 2025 11:16:31 +0000
> From:  Van Ly via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> At the top of dired buffer, I have a line as follows,
> 
>   /tmp: (41 GiB available)
> 
> and I want to move the cursor to select the path `/tmp'.
> 
> The problem is isearch-forward for the next `:' from the position at the
> left most occurrence of `/' overshoots to the end of line.
> 
> Steps to demonstrate,
>  1. start,                                     emacs -Q
>  2. goto directory,                            C-x d /tmp/
>  3. goto beginning of dired buffer,            ESC <
>     i.  move cursor to left most `/' position
>     ii. activate mark                          C-SPC
>  4. search forward to match `:',               C-s :
> 
> Intended unavailable effect, to move the cursor to the first occurence of `:'.
> 
> Unintended actual effect, the cursor moves to the end of line.

That's because we show a display property at the end.  Type "C-x =" or
"M-x describe-text-properties RET" to show them.

I don't understand the complaint.  If the problem is that C-s
overshoots, then just go back one character with C-b, and you can copy
the directory name with M-w or whatever.

I see no bug here.